<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Dozent\KursUebersicht\Detailsreiter\Termine\SmsKursort;

class SmsKursortController extends \Kufer\KuferTools\Basis\Controller\ToolController
{
  protected function getUseCase(): \Kufer\KuferTools\Basis\UseCase\UseCase
  {
    return new SmsKursortUseCase(
      $this->getRequestObj()
    );
  }

  protected function getRequestObj()
  {
    $requestObj = new SmsKursortRequest();
    $requestObj->knr = \GetOperations::getVarValue('knr');
    $requestObj->kursTagId = \GetOperations::getVarValue('kurstag_id');

    return $requestObj;
  }

  protected function getPresenter($pUseCaseResponse)
  {
    return new SmsKursortPresenter($pUseCaseResponse);
  }
}